Uploaded image for project: 'Thrift'
  1. Thrift
  2. THRIFT-3111

C# library requries .NET 4.5 compatible Mono

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Not A Problem
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Build Process, C# - Library
    • Labels:
      None
    • Patch Info:
      Patch Available
    • Flags:
      Patch

      Description

      THRIFT-3000 patch uses a .NET 4.5 only overload of System.Reflection.PropertyInfo.SetValue, causing test failures on Travis-CI.

      This patch enforces:

      • use of .NET 4.5 compatible Mono to build C# lib
      • use of correct Mono C# compiler and compiler flags for the version of sdk

      It makes mandatory to have Mono 3.x or higher to build C#.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                jensg Jens Geyer
                Reporter:
                nsuke Nobuaki Sukegawa
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: